Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.filters
Class HttpRequestWildcardFilter

    java.lang.Object
      org.mule.routing.filters.WildcardFilter
          org.mule.transport.http.filters.HttpRequestWildcardFilter

All Implemented Interfaces:
  Filter, ObjectFilter

    public class HttpRequestWildcardFilter

extends WildcardFilter

`HttpRequestWildcardFilter` filters out wildcard URL expressions. You can use a comma-separated list of URL patterns such as "*.gif, *blah*".

Field Summary

Fields inherited from class org.mule.routing.filters.WildcardFilter
`logger, pattern, patterns`

Constructor Summary
`HttpRequestWildcardFilter()`
`HttpRequestWildcardFilter(String pattern)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.

Methods inherited from class org.mule.routing.filters.WildcardFilter
`accept, equals, getPattern, hashCode, isCaseSensitive, setCaseSensitive, setPattern`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestWildcardFilter

    public HttpRequestWildcardFilter()

### HttpRequestWildcardFilter

    public HttpRequestWildcardFilter(String pattern)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Overrides:
    `accept` in class `WildcardFilter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.